Bug 1325093 (CVE-2016-3945) - CVE-2016-3945 libtiff: out-of-bounds write in the tiff2rgba tool
Summary: CVE-2016-3945 libtiff: out-of-bounds write in the tiff2rgba tool
Status: CLOSED ERRATA
Alias: CVE-2016-3945
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160408,repor...
Keywords: Security
Depends On: 1299920 1299921 1335098 1335099
Blocks: 1316881
TreeView+ depends on / blocked
 
Reported: 2016-04-08 08:24 UTC by Andrej Nemec
Modified: 2019-06-08 21:06 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-24 08:35:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1546 normal SHIPPED_LIVE Important: libtiff security update 2016-08-02 20:59:03 UTC
Red Hat Product Errata RHSA-2016:1547 normal SHIPPED_LIVE Important: libtiff security update 2016-08-02 20:39:45 UTC

Description Andrej Nemec 2016-04-08 08:24:48 UTC
Out-of-bounds write vulnerability was found in cvt_by_strip and cvt_by_tile functions in tiff2rgba, allowing attacker to cause a denial of service or command execution via a crafted TIFF image.

Public via:

http://seclists.org/oss-sec/2016/q2/30

Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2545

Comment 6 errata-xmlrpc 2016-08-02 16:41:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1547 https://rhn.redhat.com/errata/RHSA-2016-1547.html

Comment 7 errata-xmlrpc 2016-08-02 17:01:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1546 https://rhn.redhat.com/errata/RHSA-2016-1546.html

Comment 8 Even Rouault 2016-08-04 09:29:57 UTC
It would have been good to attach your patch to the upstream bug instead of letting libtiff maintainers to dig into the .src.rpm

Comment 9 Even Rouault 2016-08-15 20:12:32 UTC
Patch tiff-CVE-2016-3945.patch from libtiff-4.0.3-25.el7_2.src.rpm is incorrect. It rejects valid files. Fixed in libtiff upstream per :

Fixed per:

2016-08-15 Even Rouault <even.rouault at spatialys.com>

* tools/tiff2rgba.c: Fix integer overflow in size of allocated
buffer, when -b mode is enabled, that could result in out-of-bounds
write. Based initially on patch tiff-CVE-2016-3945.patch from
libtiff-4.0.3-25.el7_2.src.rpm by Nikola Forro, with correction for
invalid tests that rejected valid files.

/cvs/maptools/cvsroot/libtiff/tools/tiff2rgba.c,v  <--  tools/tiff2rgba.c
new revision: 1.22; previous revision: 1.21

See http://bugzilla.maptools.org/show_bug.cgi?id=2545


Note You need to log in before you can comment on or make changes to this bug.